# DataSource
spring.datasource.url=jdbc:mysql://localhost:3306/exchange?useSSL=false&serverTimezone=UTC
spring.datasource.username=root
spring.datasource.password=Ksfbviu2bu@1jinhS

# Encoding
server.servlet.encoding.charset=UTF-8
spring.servlet.multipart.enabled=true
spring.webflux.multipart.headers-charset=UTF-8

# JPA
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQLDialect
spring.jpa.hibernate.ddl-auto=update

# Thymeleaf
spring.thymeleaf.enabled=true
spring.thymeleaf.prefix=classpath:/templates/
spring.thymeleaf.suffix=.html

# Multipart File Size
spring.servlet.multipart.max-file-size=2MB
spring.servlet.multipart.max-request-size=2MB

# App Properties
yukitale.app.jwtCookieName=session
yukitale.app.jwtExpirationMs=86400000

server.error.whitelabel.enabled=false

# Cache
spring.cache.caffeine.spec=expireAfterAccess=900s